Bug 444318 - X crashes when starting compiz while running glxgears
X crashes when starting compiz while running glxgears
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 22:05 EDT by Yijun Yuan
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 10:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yijun Yuan 2008-04-26 22:05:47 EDT
Description of problem:
X crashes when starting compiz, when glxgears is running.

I can run glxgears without any problem before or after compiz is started. I can
start or restart compiz just fine if glxgears is not running. But when I first
start glxgears, then start compiz while glxgears is running, X crashes and I can
never get it back: with i915.modeset=0, screen is black (has backlight) but
nothing is running, and I cannot switch to console; with i915.modeset=1, screen
is black too (no backlight), cannot switch to console either. Luckily I can
reboot with ctrl-alt-del.



Version-Release number of selected component (if applicable):
kernel-2.6.25-8.fc9.i686
xorg-x11-drv-i810-2.2.1-22.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-26.20080415.fc9.i386
mesa-libGL-7.1-0.28.fc9.i386
metacity-2.22.0-3.fc9.i386
compiz-0.7.2-3.fc9.i386
fusion-icon-0.1.0-0.2.5e2dc9git.fc9.noarch

[yuan@mstar ~]$ uname -r
2.6.25-8.fc9.i686


How reproducible:
Every time.


Steps to Reproduce:
1. run glxgears
2. while glxgears is running, run fusion-icon from menu
3.
  
Actual results:
X crashes

Expected results:
compiz start successfully

Additional info:
Before I start compiz, I have metacity running, composition enabled.

My xorg.conf is very simple:

[yuan@mstar ~]$ cat /etc/X11/xorg.conf 
Section "ServerFlags"
#       Option "AllowEmptyInput" "True"
#       Option "AutoAddDevices" "True"
#       Option "AutoEnableDevices" "True"
#	Option "Intel-BatchBuffer" "True"
	Option "DRI2" "True"
EndSection
Comment 1 Matěj Cepl 2008-04-29 08:48:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bug Zapper 2008-05-14 06:14:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Brennan Ashton 2008-06-07 20:46:51 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2008-07-17 10:06:52 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.